# Nautobot Security Policy

## Security Announcements

Join the #nautobot channel in the Network to Code Slack for messages about security and release announcements.

## Report a Vulnerability

We appreciate the time security researchers and users contribute to reporting vulnerabilities to the Nautobot Community.

If you feel your report is safe for public disclosure (a CVE related to a dependency, or a low-risk bug) please feel free to open a bug [issue on GitHub](https://github.com/nautobot/nautobot/issues/new/choose).

If you are unsure of the severity of your report or you feel it should not be publicly disclosed until a fix has been released, you can also email [security@nautobot.com](mailto:security@nautobot.com) with the security details.

You may encrypt your email with the GPG keys of the security response members below. While accepted, encryption using GPG is NOT mandatory to make a disclosure.

## When Should I Report a Vulnerability?

- You think you discovered a potential security vulnerability in Nautobot
- You are unsure how a vulnerability affects Nautobot
- You think you discovered a vulnerability in another project that Nautobot depends on

## When Should I NOT Report a Vulnerability?

- You need help configuring Nautobot security settings (such as external auth)
- You need help applying security related updates
- Your issue is not security related

## Security Vulnerability Response

Each report is acknowledged and analyzed by security response members within five (5) working days.

Any vulnerability information shared with security response members stays within the Nautobot project and will not be disseminated to other projects unless it is necessary to get the issue fixed.

As the security issue moves from triage, to identified fix, to release planning we will keep the reporter updated.

## Public Disclosure Timing

A public disclosure date is negotiated by the Nautobot maintainers and the bug submitter. We prefer to fully disclose the bug as soon as possible once a user mitigation is available. It is reasonable to delay disclosure when the bug or the fix is not yet fully understood, the solution is not well-tested, or for vendor coordination. The timeframe for disclosure is from immediate (especially if it's already publicly known) to a few weeks. For a vulnerability with a straightforward mitigation, we expect report date to disclosure date to be on the order of ten (10) days. The Nautobot maintainers hold the final say when setting a disclosure date.

Disclosures, regardless of outcome, [will be published on GitHub](https://github.com/nautobot/nautobot/issues?q=label%3A%22security+disclosure%22) with the label "security disclosure".

## Team

Below are the current team members responsible for receiving and triaging Nautobot security issues.

- Jathan McCollum (**[@jathanism](https://github.com/jathanism)**) `<jathan.mccollum@networktocode.com>` [[4096R/9B1EC9E6D0B1B49F64C2F97AA539DE2F671694A8]](https://keybase.io/jathanism/pgp_keys.asc)
- Glenn Matthews (**[@glennmatthews](https://github.com/glennmatthews)**) `<glenn.matthews@networktocode.com>` [[4096R/C3DF1C5D9727F82ACF8F743238BF0D0E68B9F76C]](https://keybase.io/glennmatthews/pgp_keys.asc)
- Bryan Culver (**[@bryanculver](https://github.com/bryanculver)**) `<bryan.culver@networktocode.com>` [[4096R/810BA9FC788A8B2C9EB9559C834D7494DEDB1DD8]](https://keybase.io/bryanculver/pgp_keys.asc)
- John Anderson (**[@lampwins](https://github.com/lampwins)**) `<john.anderson@networktocode.com>`
- Jonathan Swisher (**[@LoneStar-Swish](https://github.com/LoneStar-Swish)**) `<jonathan.swisher@networktocode.com>` [[4096R/E0B0E95E80BF2E652BABA4C67BC452A3795882D6]](https://keybase.io/jswisher/pgp_keys.asc)
